package com.kingdee.eas.hr.project.importService;

import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.hr.project.MemberManagementInfo;
import com.kingdee.shr.base.syssetting.BaseItemStateEnum;
import com.kingdee.shr.base.syssetting.app.io.fileImport.BaseImportService;
import com.kingdee.shr.base.syssetting.app.io.fileImport.ImportException;

public class MemberManagementImportService extends BaseImportService {

    protected void saveData(Object object) throws ImportException {
        if (this.hasCallback()) {
            this.addObjectToCallbackList(object);
        } else {
            CoreBaseInfo coreBaseInfo;
            if (this.isBigEntry()) {
                coreBaseInfo = (CoreBaseInfo)object;
                String mainBillId = this.getMainBillId();
                String billFieldName = this.getBillEntryField();
                coreBaseInfo.setString(billFieldName, mainBillId);
                this.beforeSubmitData(coreBaseInfo);
                this.submitData(coreBaseInfo);
                this.afterSubmitData(coreBaseInfo);
            } else {
                coreBaseInfo = (CoreBaseInfo)object;
                this.beforeSubmitData(coreBaseInfo);
                this.submitData(coreBaseInfo);
                this.afterSubmitData(coreBaseInfo);
            }
        }

    }
    protected void beforeSubmitData(CoreBaseInfo coreBaseInfo) throws ImportException {
        MemberManagementInfo managementInfo = (MemberManagementInfo) coreBaseInfo;
        managementInfo.setState(BaseItemStateEnum.NEW);
    }

    protected void afterSubmitData(CoreBaseInfo coreBaseInfo) throws ImportException {
    }
}